Description

When I specify a MAC address for a new host, it's used in DHCP leases, but when the actual libvirt VM boots, it has another,

auto-generated MAC address, which is used by TFTP server. The problem is, that with new MAC address, it cannot obtain an IP

address and TFTP's location from DHCP, and doesn't boot as the result.

As a workaround, I had to manually edit the DHCP leases file to use the auto-generated MAC address, then the boot proceeds as

expected.

Associated revisions

Revision 96983205 - 01/09/2017 09:50 AM - Marek Hulán

Fixes #16782 - reset dhcp record cache after mac change

Revision 3d35120d - 01/30/2017 11:09 AM - Marek Hulán

Fixes #16782 - reset dhcp record cache after mac change

(cherry picked from commit 969832057c5ea6a1f84eaf5c53f5cdc7ee445af2)

History

#1 - 10/04/2016 03:00 AM - Marek Hulán

- Category set to Compute resources - libvirt

As far as I know, fog_libivrt, a library that we use to talk to libvirt, ignores the MAC when we send it. You could perhaps open issue on their issue

tracker. If you keep MAC field empty, Foreman loads randomly generated MAC from libvirt VM after it creates the VM, so just not specifying the MAC

should be OK unless you need some specific MAC address.

#2 - 12/22/2016 04:36 AM - Marek Hulán

- Category changed from Compute resources - libvirt to Network

#3 - 12/22/2016 04:49 AM - Marek Hulán

- Bugzilla link set to 1388147

This is not specific to libvirt. The DHCP orchestration creates the DHCP record with old MAC, also the interface becomes invalid and when the VM

calls back to /built?, the nic orchestration is not triggered since the interface can't be saved and TFTP file remains untouched. The original TFTP file is

being created correctly for the new MAC.

#4 - 12/22/2016 06:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/4126 added

#5 - 01/09/2017 10:02 AM - Marek Hulán
https://github.com/fog/fog-libvirt


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 969832057c5ea6a1f84eaf5c53f5cdc7ee445af2.

#6 - 01/10/2017 03:33 AM - Dominic Cleal

- translation missing: en.field_release set to 210
